# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "noe"
version = "0.3.4"
authors = ["LinkWanna <lillluckenwp590@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A AI inference library for embedded devices."
readme = false
keywords = [
    "AI",
    "Embedded",
    "fixed-point",
    "no-std",
]
categories = [
    "embedded",
    "no-std",
    "algorithms",
]
license = "MIT"

[features]
default = ["truncate"]
truncate = []

[lib]
name = "noe"
path = "src/lib.rs"
